POST TimeSaver/PostEmployeeScanIns
Request Information
URI Parameters
None.
Body Parameters
EmployeeScanIn| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteID | globally unique identifier |
Required |
|
| SiteActivityID | globally unique identifier |
None. |
|
| ClockInTime | date |
Required |
|
| IsNightShift | boolean |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "31cad4ee-a8f7-4a1f-ad09-75e5c772b336",
"loggedInUserID": "c60498f0-eb1f-4224-829d-5d0f8fac0705",
"employeeID": "47311e16-6ae4-4c4d-938f-8020cd095f82",
"siteID": "932512ec-1930-4d3f-ae6d-281735c30bb5",
"siteActivityID": "203e6ba1-ecca-42ce-ac93-c62d5d640fde",
"clockInTime": "2026-06-12T22:59:24.3191805+00:00",
"isNightShift": true,
"isProcessed": true,
"processedDate": "2026-06-12T22:59:24.3191805+00:00",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 10.0,
"photoID": "3130f205-97d5-479d-abfd-4d064a58e641",
"isActive": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.